Nautilus broke AGAIN! (solved)

Questions about other topics - please check if your question fits better in another category before posting here
Forum rules
Before you post please read how to get help

Nautilus broke AGAIN! (solved)

Postby Lolo Uila on Sun Nov 18, 2007 7:56 am

I don't know what's going on here, but Nautilus keeps crapping out on me.

About a week ago I found that nautilus could not open folders. It would just restart whenever I double-clicked on a folder. I tried reinstalling Nautilus, and even removing, cleaning up the config and meta files and reinstalling, and nothing fixed it. I finally just reinstalled Celena and was back up and running.

Yesterday I installed a bunch of stuff from the Mint Software Portal, and now Nautilus is broken again! :( This is REALLY frustrating!

I thought Celena was supposed to be the "safe & stable" Mint. I am using Mint Update and only applying the "safe" 1-3 updates, and I only installed software form the Mint software portal, and it keeps breaking.

I was going to try and compile a newer version of Nautilus, but when I try to install Build-Essential it tells me it can't install due to broken dependencies.
Code: Select all
build-essential:
 Depends: libc6-dev but it is not going to be installed or
   libc-dev
 Depends: g++ but it is not going to be installed

libc6-dev:
  Depends: libc6 (=2.5-0ubuntu14) but 2.6.1-1ubuntu10 is to be installed


So now I'm really stuck. I see no point in reinstalling Celena again, since it is clear this problem will keep repeating itself, and I can't install the tools I need to try and compile a newer version of Nautilus.

Short of going back to Windows, what can I do about this? Help, please!

:( Tim

Here's the error log that happens when it crashes:
nautilus-debug-log.txt
Code: Select all
===== BEGIN MILESTONES =====
0x8187110 2007/11/18 01:49:57.3406 (GLog): file nautilus-navigation-window.c: line 834 (activate_nth_short_list_item): assertion failed: (index < g_list_length (window->details->short_list_viewers))
0x8187110 2007/11/18 01:49:57.3408 (USER): debug log dumped due to signal 6
===== END MILESTONES =====
===== BEGIN RING BUFFER =====
0x8187110 2007/11/18 01:49:02.5320 (USER): window 0x820d840 open location: old="(none)", new="x-nautilus-desktop:"
0x8187110 2007/11/18 01:49:02.6914 (USER): create new navigation window=0x81e71e8
0x8187110 2007/11/18 01:49:02.6914 (USER): window 0x81e71e8 open location: old="(none)", new="file:///home/tim"
0x8187110 2007/11/18 01:49:03.3318 (USER): change view of window 0x81e71e8: "file:///home/tim" to "OAFIID:Nautilus_File_Manager_Icon_View"
0x8187110 2007/11/18 01:49:03.6590 (USER): finished loading window 0x81e71e8: file:///home/tim
0x8187110 2007/11/18 01:49:03.8339 (USER): finished loading window 0x820d840: x-nautilus-desktop:
0x8187110 2007/11/18 01:49:05.6036 (USER): selection changed in window 0x81e71e8
   file:///home/tim/nautilus-debug-log.txt
0x8187110 2007/11/18 01:49:05.7718 (USER): fm_directory_view_activate_files window=0x81e71e8
   file:///home/tim/nautilus-debug-log.txt
0x8187110 2007/11/18 01:49:05.7745 (USER): fm_directory_view_launch_application window=0x81e71e8
   file:///home/tim/nautilus-debug-log.txt
0x8187110 2007/11/18 01:49:57.1050 (USER): selection changed in window 0x81e71e8
   file:///home/tim/Documents
0x8187110 2007/11/18 01:49:57.2499 (USER): fm_directory_view_activate_files window=0x81e71e8
   file:///home/tim/Documents
0x8187110 2007/11/18 01:49:57.2510 (USER): directory view open_location window=0x81e71e8: file:///home/tim/Documents
0x8187110 2007/11/18 01:49:57.2510 (USER): window 0x81e71e8 open location: old="file:///home/tim", new="file:///home/tim/Documents"
0x8187110 2007/11/18 01:49:57.2510 (USER): finished loading window 0x81e71e8: file:///home/tim
0x8187110 2007/11/18 01:49:57.3406 (GLog): file nautilus-navigation-window.c: line 834 (activate_nth_short_list_item): assertion failed: (index < g_list_length (window->details->short_list_viewers))
0x8187110 2007/11/18 01:49:57.3408 (USER): debug log dumped due to signal 6
===== END RING BUFFER =====


This configuration for the debug log can be re-created
by putting the following in ~/nautilus-debug-log.conf
(use ';' to separate domain names):


[debug log]
max lines=1000
Last edited by Lolo Uila on Sat Nov 24, 2007 12:49 am, edited 2 times in total.
User avatar
Lolo Uila
Level 5
Level 5
 
Posts: 548
Joined: Thu Mar 15, 2007 3:40 am
Location: Kapolei, Hawaii

Linux Mint is funded by ads and donations.
 

Postby Husse on Sun Nov 18, 2007 2:04 pm

I am sorry for you, this makes no sense :cry:
The error occurs in
nautilus-navigation-window.c
which I can't find on my Daryna system. May have to reboot into Celena
I'll really try to solve this but it is not easy....
Image
Don't fix it if it ain't broken, don't break it if you can't fix it
Husse
Level 21
Level 21
 
Posts: 19703
Joined: Sun Feb 11, 2007 7:22 am
Location: Near Borås Sweden

Postby Lolo Uila on Sun Nov 18, 2007 5:20 pm

It looks like it's CinePaint that is breaking Nautilus.

Before Nautilus broke I had installed a bunch of stuff from the Mint Software Portal, so I figured it was something from there. I just reinstalled Celena to my test partition and started installing everything I had installed before, one at a time. I restarted X after each install (Ctrl+Alt+Bksp) and tested Nautilus After CinePaint Nautilus broke again. :(

Now i need to figure out if it's just CinePaint, or a combination of that and what I had previously installed. Guess I need to reload again, and install just CinePaint...

Aloha, Tim
User avatar
Lolo Uila
Level 5
Level 5
 
Posts: 548
Joined: Thu Mar 15, 2007 3:40 am
Location: Kapolei, Hawaii

Postby Husse on Sun Nov 18, 2007 7:02 pm

I found that a search for
nautilus-navigation-window.c
gave interesting hits
This is seemingly a widespread bug
I have seen two solutions (that really may be one if you exmine them)
http://www.nabble.com/%22The-applicatio ... 37051.html
and
http://ubuntuforums.org/archive/index.php/t-513796.html
As cause I have seen open office mentioned, nothing else.
Please stay on Mint, it's so good to have you solve ATI problems :)
Image
Don't fix it if it ain't broken, don't break it if you can't fix it
Husse
Level 21
Level 21
 
Posts: 19703
Joined: Sun Feb 11, 2007 7:22 am
Location: Near Borås Sweden

Postby Lolo Uila on Mon Nov 19, 2007 12:21 am

Yea, I saw those.

I tried installing the Gutsy deb packages for Nautilus, but I had other problems with that (although I can't remember specifically what it was). That's why I wanted to try and compile my own newer version of Nautilus using the Celena kernel, but I can't install the tools to compile. I'm guessing that's because Celena holds back some of the later packages (for older, more tested versions) and the tools require more up to date packages.

However, I am getting a little warmer to finding the cause of Nautilus breaking. It's not CinePaint specifically. It seems to be something to do with the new MintInstall 3.0. When I use the Celena default MintInstall to install CinePaint it works fine. When I use the new 3.0 version to install CinePaint it somehow breaks Nautilus.

I've been using the updated MintDesktop, MintUpdate and MintInstall in Celena, and it looks like the latest MintInstall did me in. I know these are Daryna packages, but pre-Daryna Clem released these and asked for them to be tested in Celena & Cassandra. I guess the newer 3.0 version of MintInstall is no-longer backwards compatible (or maybe it's just broken)? A warning in the "changes" file about the backwards compatibility would've been nice.

As for going back to Windows... that was just frustration talking. I'm not having any problems with Cassandra on my big tower, so I could always just go with Cassy on the game box as well. Although the hacker in me wants to figure this out.

EDIT: :?
This does seem odd, though. I mean why would installing a compatible app break Nautilus? Even if MintInstall 3.0 is for Daryna, shouldn't it treat a Celena compatible .mint install the same as earlier versions? Why does the newer installer treat the .mint file differently? And why does it install without any errors, but break Nautilus in the process. Something is definitely screwy here...
User avatar
Lolo Uila
Level 5
Level 5
 
Posts: 548
Joined: Thu Mar 15, 2007 3:40 am
Location: Kapolei, Hawaii

Postby Lolo Uila on Mon Nov 19, 2007 7:46 am

Mint Install 2.9 breaks Nautilus as well... 2.7 and earlier seem okay (so far).
User avatar
Lolo Uila
Level 5
Level 5
 
Posts: 548
Joined: Thu Mar 15, 2007 3:40 am
Location: Kapolei, Hawaii

Re: Nautilus broke AGAIN! :(

Postby Lolo Uila on Wed Nov 21, 2007 3:30 am

I'd like to get Clem's input on this. Are the new versions of mintInstall for Daryna only (or are they broken)?

This is a pretty serious issue IMHO since the only way to fix Nautilus is reloading the OS.
User avatar
Lolo Uila
Level 5
Level 5
 
Posts: 548
Joined: Thu Mar 15, 2007 3:40 am
Location: Kapolei, Hawaii

Re: Nautilus broke AGAIN! :(

Postby Husse on Fri Nov 23, 2007 7:46 am

Stay with 2.7 for now. The later versions are not broken. You could report a bug
https://launchpad.net/mintinstall
Image
Don't fix it if it ain't broken, don't break it if you can't fix it
Husse
Level 21
Level 21
 
Posts: 19703
Joined: Sun Feb 11, 2007 7:22 am
Location: Near Borås Sweden

Re: Nautilus broke AGAIN! :(

Postby clem on Fri Nov 23, 2007 8:35 am

If you're running Celena you should be running mintInstall 2.5... eventually, by following some of the announcements on the forums you should be able to run 2.6 or 2.7... but not any further version.

Running 2.8, 2.9 or 3.0 under Celena is just plain wrong... it's like mixing both repositories, no wonder your system is unstable. These were made for Daryna, they use Gutsy and Daryna repositories and consequently when you install something using mintInstall 2.8+ you potentially pull libraries from Gutsy onto your system.

Clem
Image
User avatar
clem
Level 15
Level 15
 
Posts: 5566
Joined: Wed Nov 15, 2006 8:34 am

Re: Nautilus broke AGAIN! :(

Postby Lolo Uila on Fri Nov 23, 2007 9:40 pm

Okay, thanks. It was the MintInstall announcement thread that I looked in, and the link was broken so I grabbed the newer version. Maybe you could leave the old, compatible version available? Either that or update the thread and put a note in the "changes" file about the newer versions not being backwards compatible (I did look at the changes file before using it).

Aloha, Tim
User avatar
Lolo Uila
Level 5
Level 5
 
Posts: 548
Joined: Thu Mar 15, 2007 3:40 am
Location: Kapolei, Hawaii

Linux Mint is funded by ads and donations.
 

Return to Other topics

Who is online

Users browsing this forum: No registered users and 9 guests